[epic] test incompletes after failing in GRU download task on "Inactivity timeout" with no logs
2020-01-21 12:29 - okurz
Difficulty:

Description

Observation

openQA test in scenario obs-Unstable-Appliance-x86_64-obs_appliance@64bit-4G incompletes after failing in
GRU on

Gru job failed

Reason: asset download: download of http://download.opensuse.org/repositories/OBS:/Server:/Unstabl
e/images/obs—-server.x86_64-2.10.51-gqcow2-Build2.438.qcow2 to /var/lib/openga/share/factory/hdd/obs
—-server.x86_64-2.10.51-gcow2-Build2.438.gqcow2 failed: connection error: Inactivity timeout at /usr

/share/openga/script/../1ib/OpenQA/Task/Asset/Download.pm line 74.

ending the complete job in "incomplete".

Reproducible

Hard, seems to be related to temporary network problems.

Acceptance criteria

e AC1: GRU download retries automatically on temporary network problems
¢ AC2: The way we provide feedback to users is comparable for GRU download failures as well as other incompletes with known
reasons

Open points

| realized the quite different approach for user feedback on GRU download jobs vs. other incompletes with mkittler already on
2020-01-21. Retry is just one part of it. Maybe the way how GRU download jobs provide details but still incomplete is the way to go?

Further details

Always latest result in this scenario: latest

Subtasks:
action # 62459: Retry on download errors within GRU download tasks Resolved

History

#1 - 2020-01-27 14:50 - kraih

Might be interesting to combine the cache service and gru download code into a shared module, and get retry support that way. Both do pretty much
the same thing. It's a bit of upfront work, but later on we'd benefit from being able to test the various special cases for downloads in one place. And
bugfixes would automatically apply to both.

#2 - 2020-03-05 14:53 - okurz

- Description updated

ok, so | see AC1 covered and solved in #62459 , the UX part is still open.

#3 - 2020-07-14 13:39 - okurz

2022-01-28 1/2



https://openqa.opensuse.org/tests/1150406/modules/GRU/steps/1
https://openqa.opensuse.org/tests/latest?arch=x86_64&distri=obs&flavor=Appliance&machine=64bit-4G&test=obs_appliance&version=Unstable
https://progress.opensuse.org/issues/62459

- Target version set to Ready

#4 - 2020-07-23 06:30 - okurz

- Status changed from New to Workable

#5 - 2020-10-12 13:33 - szarate
- Tracker changed from action to coordination

- Status changed from Workable to New

#6 - 2020-10-12 13:44 - szarate

See for the reason of tracker change: http://mailman.suse.de/mailman/private/ga-sle/2020-October/002722.html

#7 - 2020-10-13 11:55 - okurz

- Status changed from New to Workable

#8 - 2020-10-18 12:52 - okurz

- Target version changed from Ready to future
